Skip to content

Payee Required Fields Query

API Information

  • Path: /api/v1/acct/queryPaymentFeild
  • Method: POST
  • Content-Type: application/json

Business Description

  • A value of "Y" indicates a required field, "C" indicates a conditionally required field, and "N" indicates an optional field.

Request Parameters

Request Body

ParameterTypeDescriptionRequired
merchantNostringThe merchant number of the request initiator.M
onBehalfOfstringThe merchant number that the request is actually associated with. Provide this field only when initiating a request on behalf of another merchant.N
payoutCurrencystring(10)Account currency, e.g.: PHPM
bankCountrystring(10)Payout destination country, e.g.: PHM
entityTypestring(1)Entity type enum[0,1], 0: Company, 1: IndividualM
paymentMethodstring(1)Payment methodM
walletTypestringWallet Type- The payment method is walletC
signstringSignatureM
Request Example
json
{
  "merchantNo": "800538",
  "payoutCurrency": "NGN",
  "bankCountry": "US",
  "entityType": "0",
  "paymentMethod": "BANK_TRANSFER",
  "sign": "skip_verify"
}

Response Result

Response Body

ParameterTypeDescription
respCodestringResponse code
respMsgstringResponse message
dataobjectResponse data
  |─merchantNostringMerchant number
  |─accountInfomationobjectAccount information
    |─cardNumberstringCard number/IBAN
    |─accountTypestringAccount type [0:checking, 1:saving, 2:ordinary]
    |─swiftCodestringSWIFT code
    |─sortCodestringSort code/ABA routing number
    |─branchCodestringBranch code
    |─bankHolderNamestringBank account holder name
    |─walletTypestringWallet type
    |─walletPhonestringWallet phone number
    |─pickUpBankNamestringPickup bank name
    |─pickUpBankBranchNamestringPickup bank branch name
    |─pickUpBankBranchIdstringPickup bank branch ID
    |─pickUpBankBranchAddressstringPickup bank branch address
  |─addressobjectAddress information
    |─statestringState/Province
    |─citystringCity
    |─addressLine1stringAddress line 1
    |─addressLine2stringAddress line 2
    |─addressLine3stringAddress line 3
    |─postalCodestringPostal code
  |─receiverInfoobjectRecipient information
    |─nickNamestringNickname
    |─companyNamestringCompany name
    |─lastNamestringLast name
    |─firstNamestringFirst name
    |─areaCodestringArea code
    |─phonestringPhone number
    |─vatNumberstringVAT number/CPF/CNPJ (Brazil)/ID number (other countries)
    |─birthDatestringDate of birth (yyyy-MM-dd)
    |─emailstringRecipient email address (conditional field)
Response Example
json
{
  "respCode": "20000",
  "respMsg": null,
  "data": {
    "merchantNo": "800538",
    "accountInfomation": {
      "cardNumber": "Y",
      "accountType": "Y",
      "swiftCode": "Y",
      "sortCode": "N",
      "branchCode": "N",
      "bankHolderName": "N",
      "walletType": "N",
      "walletPhone": "N",
      "pickUpBankName": "N",
      "pickUpBankBranchName": "N",
      "pickUpBankBranchId": "N",
      "pickUpBankBranchAddress": "N"
    },
    "address": {
      "state": "N",
      "city": "Y",
      "addressLine1": "Y",
      "addressLine2": "C",
      "addressLine3": "C",
      "postalCode": "Y"
    },
    "receiverInfo": {
      "nickName": "Y",
      "companyName": "Y",
      "lastName": "N",
      "firstName": "N",
      "areaCode": "N",
      "phone": "N",
      "vatNumber": "N",
      "birthDate": "N",
      "email": "N"
    }
  }
}